package eu.dnetlib.dhp.schema.solr;

import java.io.Serializable;

public class RelatedRecordHeader implements Serializable {

    private String relationType;

    private String relationClass;

    private String relatedIdentifier;

    private String relatedRecordType;

    public static RelatedRecordHeader newInstance(String relationType, String relationClass, String relatedIdentifier, String relatedRecordType) {
        RelatedRecordHeader header = new RelatedRecordHeader();
        header.setRelationType(relationType);
        header.setRelationClass(relationClass);
        header.setRelatedIdentifier(relatedIdentifier);
        header.setRelatedRecordType(relatedRecordType);
        return header;
    }

    public String getRelationType() {
        return relationType;
    }

    public void setRelationType(String relationType) {
        this.relationType = relationType;
    }

    public String getRelationClass() {
        return relationClass;
    }

    public void setRelationClass(String relationClass) {
        this.relationClass = relationClass;
    }

    public String getRelatedIdentifier() {
        return relatedIdentifier;
    }

    public void setRelatedIdentifier(String relatedIdentifier) {
        this.relatedIdentifier = relatedIdentifier;
    }

    public String getRelatedRecordType() {
        return relatedRecordType;
    }

    public void setRelatedRecordType(String relatedRecordType) {
        this.relatedRecordType = relatedRecordType;
    }
}
